Skip to main content
PUT
/
api
/
v1
/
connector-configurations
/
{id}
Konnektör konfigürasyonunu güncelle
curl --request PUT \
  --url https://vpos-sandbox.payven.com.tr/api/v1/connector-configurations/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "extra_properties_dict": {},
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "api_key": "<string>",
  "secret_key": "<string>",
  "username": "<string>",
  "password": "<string>",
  "terminal_id": "<string>",
  "store_id": "<string>",
  "api_endpoint_url": "<string>",
  "three_d_secure_endpoint_url": "<string>",
  "extra_credentials": "<string>",
  "bank_code": "<string>",
  "priority": 123,
  "is_active": true
}
'
{
  "extra_properties_dict": {},
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connector_name": "<string>",
  "connector_code": "<string>",
  "name": "<string>",
  "api_key": "<string>",
  "secret_key": "<string>",
  "username": "<string>",
  "password": "<string>",
  "terminal_id": "<string>",
  "store_id": "<string>",
  "api_endpoint_url": "<string>",
  "three_d_secure_endpoint_url": "<string>",
  "extra_credentials": "<string>",
  "bank_code": "<string>",
  "priority": 123,
  "is_active": true,
  "created": "2023-11-07T05:31:56Z",
  "last_modified": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Body

application/json
extra_properties_dict
object
id
string<uuid>
name
string | null
mode
enum<string>
Available options:
Test,
Production
api_key
string | null
secret_key
string | null
username
string | null
password
string | null
terminal_id
string | null
store_id
string | null
api_endpoint_url
string | null
three_d_secure_endpoint_url
string | null
extra_credentials
string | null
bank_code
string | null
priority
integer<int32>
is_active
boolean

Response

OK

extra_properties_dict
object
id
string<uuid>
connector_id
string<uuid>
connector_name
string | null
connector_code
string | null
name
string | null
mode
enum<string>
Available options:
Test,
Production
api_key
string | null
secret_key
string | null
username
string | null
password
string | null
terminal_id
string | null
store_id
string | null
api_endpoint_url
string | null
three_d_secure_endpoint_url
string | null
extra_credentials
string | null
bank_code
string | null
priority
integer<int32>
is_active
boolean
created
string<date-time>
last_modified
string<date-time>